SQL-инъекция в phpDenora

Дата публикации:
24.02.2012
Дата изменения:
24.02.2012
Всего просмотров:
1232
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
3
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:ND/RL:O/RC:C) = Base:5.8/Temporal:0
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:ND/RL:O/RC:C) = Base:6.4/Temporal:0
(AV:N/AC:M/Au:N/C:C/I:N/A:N/E:ND/RL:O/RC:C) = Base:7.1/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpDenora 1.x
Уязвимые версии: phpDenora 1.4.6, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "sy", "sm", "sd", "ey", "em" и "ed" в сценарии libs/phpdenora/graphs/line.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Для успешной эксплуатации уязвимости необходимо, чтобы параметр "magic_quotes_gpc" был отключен.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "param" в сценарии remote.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "theme" и "lang" в сценарии libs/phpdenora/graphs/pie.php, libs/phpdenora/graphs/bar.php и libs/phpdenora/graphs/line.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

Для успешной эксплуатации уязвимости необходимо, чтобы параметр "magic_quotes_gpc" был отключен.

URL производителя: http://denorastats.org/

Решение: Установите последнюю версию 1.4.7 с сайта производителя.

Ссылки: http://www.denorastats.org/news/51/

или введите имя

CAPTCHA